<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand" href="/angular/">
      <img src="./assets/img/favicon/favicon.ico" alt="" width="30" height="30">
    </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="/angular/">Inicio</a>
        </li>
      </ul>
      <form [formGroup]="searchForm" class="d-flex" (ngSubmit)="onSearch()">
        <input class="form-control me-2" type="search" specialCharacters id="text" required placeholder="Búsqueda de productos" aria-label="Search" formControlName="text">
        <button class="btn btn-primary" type="submit" [disabled]="form.invalid">Buscar</button>
      </form>
    </div>
  </div>
</nav>